Bug 1226708 - satellite 6.0.8 katello-remove leaves puppet package and dir
Summary: satellite 6.0.8 katello-remove leaves puppet package and dir
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.1.7
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: sat61-release-notes
TreeView+ depends on / blocked
 
Reported: 2015-05-31 20:23 UTC by jnikolak
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14125 None None None 2016-04-22 16:01:18 UTC

Description jnikolak 2015-05-31 20:23:32 UTC
1) Do a yum install katello -y 

2) katello-installer

3) then remove katello with katello-remove

4) verified that the following directory and package remains that was created by the katello-installer


ls -la /etc/puppet
drwxr-xr-x.   3 root          root    4096 Jun  1 06:10 .
drwxr-xr-x. 105 root          root   12288 Jun  1 06:12 ..
-rw-r--r--.   1 root          root    4179 May 26 02:23 auth.conf.rpmsave
-rw-rw-r--.   1 foreman-proxy puppet     0 May 26 02:23 autosign.conf
-rw-r--r--    1 root          root    5529 Jun  1 03:49 client_cert.pem
-r--------    1 puppet        root    1679 Jun  1 03:49 client_key.pem
-r-xr-x---.   1 puppet        puppet 10641 May 26 02:23 node.rb
-rw-r--r--.   1 root          root    2456 May 26 02:23 puppet.conf.rpmsave
drwxr-xr-x.   4 puppet        root    4096 May 26 02:23 rack
-rw-r--r--    1 root          root    5469 Jun  1 03:49 ssl_ca.pem


and 
rpm -qa | grep puppet
jnikolaksat6home.example.com-puppet-client-1.0-1.noarch

This may cause issues with future installs, if any traces are left.

Comment 1 RHEL Product and Program Management 2015-05-31 20:32:21 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2016-05-17 14:12:13 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14125 has been closed

Comment 7 Peter Ondrejka 2016-11-29 16:10:38 UTC
Verifed in Satellite 6.3 snap 6, after removing:

~]# rpm -qa | grep puppet
~]# ls -la /etc/puppet/
ls: cannot access /etc/puppet/: No such file or directory

Comment 8 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.